Optimization Settings

Get a set of Optimization Settings

get
Path parameters
projectIdstringRequired

The ID of the Project the Optimization Settings belongs to

optimizationSettingsIdstringRequired

The ID of the Optimization Settings to get

Responses
chevron-right
200

Success

application/json
and
get
/v1/avatars/{projectId}/optimization-settings/{optimizationSettingsId}

List all Optimization Settings for a project

get
Path parameters
projectIdstringRequired

The ID of the Project the Optimization Settings belongs to

Query parameters
offsetinteger · int32Optional

The offset into queried items to return

limitinteger · int32 · max: 100Optional

The maximum number of items to return (maximum 100)

searchstringOptional

The search query to filter the results

Responses
chevron-right
200

Success

application/json
totalResultsintegerRequired

The total number of results, before applying the limit and offset

offsetintegerRequired

The offset into queried items to return

limitintegerRequired

The maximum number of items to return

canWritebooleanRequired

Whether the user has write permissions

get
/v1/avatars/{projectId}/optimization-settings

Create a set of Optimization Settings

post
Path parameters
projectIdstringRequired

The ID of the Project the Optimization Settings belongs to

Body
namestringRequired
presetstring · enumRequiredPossible values:
Responses
chevron-right
200

Success

application/json
idstringRequired
namestringRequired
presetstring · enumRequiredPossible values:
createdAtstringOptional
createdByone ofOptional
or
post
/v1/avatars/{projectId}/optimization-settings

Delete a set of Optimization Settings

delete
Path parameters
projectIdstringRequired

The ID of the Project the Optimization Settings belongs to

optimizationSettingsIdstringRequired

The ID of the Optimization Settings to delete

Responses
delete
/v1/avatars/{projectId}/optimization-settings/{optimizationSettingsId}

No content

Update a set of Optimization Settings

patch
Path parameters
projectIdstringRequired

The ID of the Project the Optimization Settings belongs to

optimizationSettingsIdstringRequired

The ID of the Optimization Settings to update

Body
namestringOptional
presetstring · enumOptionalPossible values:
Responses
chevron-right
200

Success

application/json
idstringRequired
namestringRequired
presetstring · enumRequiredPossible values:
createdAtstringOptional
createdByone ofOptional
or
patch
/v1/avatars/{projectId}/optimization-settings/{optimizationSettingsId}

List usage for processing avatars for the project

get
Path parameters
projectIdstringRequired

The id of the Project

Query parameters
startTimestring · date-timeRequired

The starting ISO 8601 timestamp of the usage period

endTimestring · date-timeRequired

The ending ISO 8601 timestamp for this usage period

intervalstring · enumRequired

An ISO 8601 duration for the interval

Possible values:
optimizationSettingsIdstringOptional

The id of the Optimization Settings to filter by

Responses
chevron-right
200

The Optimization Settings's usage

application/json
get
/v1/avatars/{projectId}/optimization-settings/usage

Initiates processing an avatar using the provided settings

put
Path parameters
projectIdstringRequired

The ID of the Project the Optimization Settings belongs to

optimizationSettingsIdstringRequired

The ID of the Optimization Settings to use for processing the avatar

Body
avatarMmlstringRequired

The MML of the avatar to process

Responses
chevron-right
200

Success

application/json
glbUrlstringRequired

A URL linking to the GLB file containing the processed avatar

mmlUrlstringRequired

A URL linking to the MML file which uses the processed avatar

put
/v1/avatars/{projectId}/optimization-settings/{optimizationSettingsId}/process

Last updated

Was this helpful?